GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::geom::util::PointExtracter Class Reference

`#include <PointExtracter.h>`

Inheritance diagram for geos::geom::util::PointExtracter:

## Public Member Functions
| PointExtracter (Point::ConstVect &newComps)
void | filter_rw (Geometry *geom)
void | filter_ro (const Geometry *geom)

## Static Public Member Functions
static void | getPoints (const Geometry &geom, Point::ConstVect &ret)

## Detailed Description

Extracts all the 0-dimensional (Point) components from a Geometry.

## Constructor & Destructor Documentation

geos::geom::util::PointExtracter::PointExtracter | ( | Point::ConstVect & | newComps | ) |
| inline

Constructs a PointExtracterFilter with a list in which to store Points found.

## Member Function Documentation

static void geos::geom::util::PointExtracter::getPoints | ( | const Geometry & | geom,
|  | Point::ConstVect & | ret
| ) |  |
| inline static

Returns the Point components from a single geometry. If more than one geometry is to be processed, it is more efficient to create a single PointExtracter filter instance and pass it to multiple geometries.

The documentation for this class was generated from the following file:

- PointExtracter.h